# Examples

In this tab, we will provide a list of example code to use the {{our}} model to address 
several different deep function learning tasks with the `tinybig` library.

We assume you have read the PRN paper, as well as the provided tutorials already.
Therefore, we will not explain the technical details for the model components in the example anymore.

## Examples of {{our}} for Continuous Function Approximation

|              Example ID               |           Example Title           | Release Date |   Colab Link    |
|:-------------------------------------:|:---------------------------------:|:------------:|:---------------:|
| [Example 1](./function/elementary.md) | Elementary Function Approximation |     TBD      | To Be Provided  |
|             [Example 2]()             | Composite Function Approximation  |     TBD      | To Be Provided  |
|             [Example 3]()             |  Feynman Function Approximation   |     TBD      | To Be Provided  |

<!-- [![Colab Badge](https://colab.research.google.com/assets/colab-badge.svg)](https://colab.research.google.com/) |-->

## Examples of {{our}} for Image Classification

|  Example ID   |                Example Title                 | Release Date |   Colab Link    |
|:-------------:|:--------------------------------------------:|:------------:|:---------------:|
| [Example 4]() | MNIST Handwritten Digit Image Classification |     TBD      | To Be Provided  |
| [Example 5]() |      CIFAR10 Object Detection in Images      |     TBD      | To Be Provided  |

## Examples of {{our}} for Text Classification

|  Example ID   |         Example Title          | Release Date |   Colab Link    |
|:-------------:|:------------------------------:|:------------:|:---------------:|
| [Example 6]() |   IMDB Review Classification   |     TBD      | To Be Provided  |
| [Example 7]() |  AGNews Topic Classification   |     TBD      | To Be Provided  |
| [Example 8]() | SST-2 Sentiment Classification |     TBD      | To Be Provided  |

## Examples of {{our}} for Probabilistic Relationship Inference

|   Example ID   |           Example Title           | Release Date |   Colab Link    |
|:--------------:|:---------------------------------:|:------------:|:---------------:|
| [Example 9]()  |      Iris Species Inference       |     TBD      | To Be Provided  |
| [Example 10]() |   Diabetes Diagnosis Inference    |     TBD      | To Be Provided  |
| [Example 11]() | Banknote Authentication Inference |     TBD      | To Be Provided  |


